package registry

import (
	"fmt"
	"reflect"

	cda "git.loafle.net/commons_go/di/annotation"
)

type TypeDefinition struct {
	FullName string
	PkgName  string
	TypeName string
	Type     reflect.Type
	RealType reflect.Type

	Fields map[string]*FieldDefinition
}

type FieldDefinition struct {
	PkgName  string
	TypeName string
	Type     reflect.Type
	RealType reflect.Type

	Annotations []cda.Annotation
}

func FullName(pkgName, typeName string) string {
	return fmt.Sprintf("%s/%s", pkgName, typeName)
}
